<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg verify</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-verify">
<span id="hg-verify-1"></span>
<h1 class="title">hg verify</h1>
<h2 class="subtitle" id="verify-the-integrity-of-the-repository">verify the integrity of the repository</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg verify
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>Verify the integrity of the current repository.</p>
<p>This will perform an extensive check of the repository's
integrity, validating the hashes and checksums of each entry in
the changelog, manifest, and tracked files, as well as the
integrity of their crosslinks and indices.</p>
<p>Please see <a class="reference external" href="https://mercurial-scm.org/wiki/RepositoryCorruption">https://mercurial-scm.org/wiki/RepositoryCorruption</a>
for more information about recovery from corruption of the
repository.</p>
<p>For an alternative UI with a lot more control over the verification
process and better error reporting, try <cite>hg help admin::verify</cite>.</p>
<p>Returns 0 on success, 1 if errors are encountered.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">--full</span></kbd></td>
<td>perform more checks (EXPERIMENTAL)</td></tr>
</tbody>
</table>
</div>
</div>
</body>
</html>
